cetskelgen SHARED module
Status: Closed Start date: 04/29/2020
Priority: Normal Due date:

Assignee: Kyle Knoepfel % Done: 100%
Category: Documentation Estimated time: 4.00 hours
Target version: 3.06.00 Spent time: 2.00 hours
Scope: Internal SSI Package:

Experiment: -

Description

| can't seem to make a shared analyzer using cetskelgen, for example the following gives me an error:

$ cetskelgen analyzer icaruswf --flavor SHARED
ERROR: Expected exactly two non-option arguments.
Usage:

cetskelgen -h | —--help | -7

cetskelgen --help-types
cetskelgen —--help-type *plugin-type*

cetskelgen [*options*] [--]
[*plugin-type* [:*plugin-option* [, *plugin-option*]+]] *qualified-name*

*Options*: —-—-all-entries|-A | —--boilerplate|-b *file* |
-—entries|—-—-entryl|-e *entry*+ | --header-loc *path* |
-—output-dir|--dir|-d *dir* | --split | —--split-ext
[*1ib-source—-extension*] | —--verbose|-v

Options marked with + are repeatable and cumulative.

History

#1 - 05/04/2020 10:21 AM - Kyle Knoepfel
- Estimated time set to 4.00 h
- Assignee set to Kyle Knoepfel

- Status changed from New to Assigned

#2 - 05/13/2020 03:55 PM - Kyle Knoepfel

- Target version set to 3.06.00

#3 - 06/25/2020 02:11 PM - Kyle Knoepfel

- % Done changed from 0 to 100

- Status changed from Assigned to Resolved
- Category set to Documentation

- Tracker changed from Bug to Support

It turns out that the instructions for how to do this correctly were in the help message above:
cetskelgen [options] [--] [plugin-type[:plugin-option[,plugin-option]+]] qualified-name

meaning that the correct syntax for this case would be:

$ cetskelgen analyzer:—--flavor, SHARED icaruswf
INFO: Wrote /.../icaruswf_module.cc
| have slightly expanded the documentation for the art-supported plugins to help clarify the usage:

$ cetskelgen --help-type analyzer

* analyzer from art version v3_05_01
Usage: cetskelgen [options] [--] analyzer[:<arg>] qualified-name
Args:
[-—flavor, <LEGACY | SHARED | REPLICATED>]

Define the threading flavor of the analyzer (default LEGACY).

Implement with commit art:c590faf6.

#4 - 07/10/2020 01:59 PM - Kyle Knoepfel

- Status changed from Resolved to Closed
https://cdcvs.fnal.gov/redmine/projects/art/repository/revisions/c590faf6370f2dfae4b181689b95ca150d491d5c
